Forum:Lisp
Thema:Wipeout in Solid umwandeln
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
balubabaer

Beiträge: 44 / 4

W10, Bricscad V19, Map2004, 2019, T2500, VESTRA, REHM

Hallo erstmal,

gibt es schon ein Lisp, der Wipeouts in Solids umwandelt? Ich habe im Forum gesucht, aber nichts gefunden.

Danke
Bernhard

cadffm

Beiträge: 20783 / 1065

System: F1
und Google

kennen da nichts, wird aber ne schöne rechnerei ;D

------------------

Bitte Systemdaten eintragen (siehe links unter dem Namen), wie & warum siehst du HIER

CADmium

Beiträge: 13496 / 249

.

.. auch wenn die Zahl der bereits geschriebenen Lisp's endlich ist, existiert trotzdem eine gewisse Wahrscheinlichkeit, das es so ein Lisp gibt! Die Frage ist bloß: wo ?

...schon mal mit den beiden Begriffen gegoogelt?

In dem Bewußtsein dir jetzt nicht weitergeholfen zu haben..

------------------
- Thomas -
"Bei 99% aller Problemen ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Cadzia

Beiträge: 2912 / 283

AutoCAD 2019 + MAP
AccuRender nXt,
Bricscad V18
SketchUp2015 pro,

Hallo Bernhard,

ich habe damals die wipeouts in eine solidschraffur umgewandelt, indem ich  auf einem neuen Layer alle Rahmen mit dem sw_hatch.slp einzeln schraffiert habe. Anschließend Wipeout-layer löschen - fertig.

;;;
;;;
;;;                      Funktionen zum Hatchen von Objekten (geschlossene Polylines u.ä.)
;;;                                Mit Buttondefinitionen für die, die Buttons wollen,
;;;                            HATCHT ALLE GEWÄHLTEN OBJEKTE UNABHÄNGIG VONEINANDER
;;;                                          AUF VOREINGESTELLTEN LAYERN
;;;
;;;                                                  - Wolfgang Sünder -
;;;                                                      - 10/17/01 -
;;;                      - VERSION 2.0 -
;;;
;;;

(prompt "\n| | sw_hatch wurde geladen. \"sw_hb001\" oder \"sw_hv001\" zum Ausführen Eingeben")

(defun c:sw_hb001 (/ idx ss sc clayer)

  (command "_UNDO" "_BEGIN")
 

  (command "_ucs" "w")
  (setq ss (ssget))
  (setq idx 0)
  (repeat (sslength ss)
    (command "_-bhatch"
    "_A"
    "_A"
    "_Y"
    ""
    "_P"
    "SOLID"
    "_S"
    (ssname ss idx)
    ""
    ""
    )
    (setq idx (1+ idx))
  )
  (command "_ucs" "VO")
  (command "_UNDO" "_END")(princ)
 
)


------------------
Grüße Karin